//
//  main.c
//  Temps de Téléchargement
//
//  Created by Pâris on 02/09/13.
//  Copyright (c) 2013 Pâris. All rights reserved.
//

#include <stdio.h>

int main(int argc, const char * argv[])
{
    unsigned int taille, tailleActuel, vitesse, temps;
    unsigned int s,m = 0,h = 0;
    printf("Coucou !\n");
    printf("Entre la taille total du fichier (Ko) : ");
    scanf("%d", &taille);
    printf("\nEntre la taille actuel : ");
    scanf("%d", &tailleActuel);
    taille -= tailleActuel;
    printf("\nEntre la vitesse de téléchargement (Ko/s) : ");
    scanf("%d", &vitesse);
    printf("Calcul en cours... \n");
    temps = taille/vitesse;
    
    s = temps;
    while (s > 59) {
        while (m > 59)
        {
            h++;
            m -= 60;
        }
        m++;
        s -= 60;
    }
    printf("%d Heures, %d Minutes et %d secondes restants", h, m, s);
    return 0;
}

